org.apache.ignite.internal.processors.cache.distributed.dht.atomic

## Class GridDhtAtomicDeferredUpdateResponse<K,V>

- java.lang.Object
- - org.apache.ignite.plugin.extensions.communication.MessageAdapter
  - - org.apache.ignite.internal.processors.cache.GridCacheMessage<K,V>
    - - org.apache.ignite.internal.processors.cache.distributed.dht.atomic.GridDhtAtomicDeferredUpdateResponse<K,V>

All Implemented Interfaces:
  Serializable, GridCacheDeployable

    public class GridDhtAtomicDeferredUpdateResponse<K,V>
    extends GridCacheMessage<K,V>
    implements GridCacheDeployable

Deferred dht atomic update response.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`MessageAdapter.Type`

### Field Summary

Fields
`static int` `CACHE_MSG_IDX` Message index.

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`CACHE_MSG_INDEX_FIELD_NAME, cacheId, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`reader, readState`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtAtomicDeferredUpdateResponse()` Empty constructor required by `Externalizable`
`GridDhtAtomicDeferredUpdateResponse(int cacheId, Collection<GridCacheVersion> futVers)` Constructor.

### Method Summary

Methods
`byte` `directType()` Gets message type.
`Collection<GridCacheVersion>` `futureVersions()`
`int` `lookupIndex()` Gets message lookup index.
`boolean` `readFrom(ByteBuffer buf)` Reads this message from provided byte buffer.
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`allowForStartup, cacheId, cacheId, classError, deployInfo, finishUnmarshal, ignoreClassErrors, marshalBooleanLinkedMap, marshalCollection, marshalFilter, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, marshalValuesCollection, messageId, nextIndexId, onClassError, prepare, prepareFilter, prepareMarshal, prepareObject, prepareObjects, topologyVersion, toString, transactional, transferExpiryPolicy, unmarshalBooleanLinkedMap, unmarshalCollection, unmarshalFilter, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx, unmarshalValueBytesCollection`

### Methods inherited from class org.apache.ignite.plugin.extensions.communication.MessageAdapter

`setReader, skipRecovery`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Field Detail

#### CACHE_MSG_IDX

    public static final int CACHE_MSG_IDX

Message index.

### Constructor Detail

#### GridDhtAtomicDeferredUpdateResponse

    public GridDhtAtomicDeferredUpdateResponse()

Empty constructor required by `Externalizable`

#### GridDhtAtomicDeferredUpdateResponse

    public GridDhtAtomicDeferredUpdateResponse(int cacheId,
                                       Collection<GridCacheVersion> futVers)

Constructor.

Parameters:
  `futVers` - Future versions.

### Method Detail

#### lookupIndex

    public int lookupIndex()

Gets message lookup index. All messages that does not return -1 in this method must return a unique number in range from 0 to `GridCacheMessage.MAX_CACHE_MSG_LOOKUP_INDEX`.

Overrides:
  `lookupIndex` in class `GridCacheMessage<K,V>`
Returns:
  Message lookup index.

#### futureVersions

    public Collection<GridCacheVersion> futureVersions()

Returns:
  List of ACKed future versions.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Overrides:
  `writeTo` in class `GridCacheMessage<K,V>`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf)

Reads this message from provided byte buffer.

Overrides:
  `readFrom` in class `GridCacheMessage<K,V>`
Parameters:
  `buf` - Byte buffer.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in class `MessageAdapter`
Returns:
  Message type.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015